/***
   NAME
     ebtcohrt.h
   PURPOSE
     Interface header file to the functions defined in ebtcohrt.c
   NOTES
     
   HISTORY
     AMdR - Jul 19, 1995 : Created.
     AMdR - Aug 14, 2007 : Revised last.
***/

/*==========================================================================*/
#ifndef EBTCOHRT_H
#define EBTCOHRT_H

#ifdef	EBTCOHRT_C
#undef	EXTERN
#define EXTERN
#else
#undef	EXTERN
#define EXTERN	extern
#endif
EXTERN   void     	CohortCycle(PROTO1(double));
#if (I_CONST_DIM > 0)
EXTERN int		InsCohort(PROTO3(cohort, cohortID, int));
#else
EXTERN   int		InsCohort(PROTO2(cohort, int));
#endif
EXTERN_C void		TransBcohorts(PROTO1(void));
EXTERN   void		SievePop(PROTO1(void));



/*==========================================================================*/
#endif /* EBTCOHRT_H */
